curl --request POST \
--url https://api.bron.org/workspaces/{workspaceId}/address-book-records \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "<string>",
"name": "<string>",
"accountIds": [
"<string>"
],
"address": "<string>",
"email": "<string>",
"imageId": "<string>",
"isFavorite": true,
"labels": "Personal,Business",
"memo": "<string>",
"networkId": "<string>",
"tag": "<string>"
}
'import requests
url = "https://api.bron.org/workspaces/{workspaceId}/address-book-records"
payload = {
"externalId": "<string>",
"name": "<string>",
"accountIds": ["<string>"],
"address": "<string>",
"email": "<string>",
"imageId": "<string>",
"isFavorite": True,
"labels": "Personal,Business",
"memo": "<string>",
"networkId": "<string>",
"tag": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: '<string>',
name: '<string>',
accountIds: ['<string>'],
address: '<string>',
email: '<string>',
imageId: '<string>',
isFavorite: true,
labels: 'Personal,Business',
memo: '<string>',
networkId: '<string>',
tag: '<string>'
})
};
fetch('https://api.bron.org/workspaces/{workspaceId}/address-book-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "1749646207296",
"externalId": "ki50iq4iotxmuv1ihgw9q6u3",
"name": "My address",
"recordId": "gx8df95a09h319dbu79rfora",
"recordType": "address",
"status": "new",
"workspaceId": "e191u51yxnykins6fahd",
"accountIds": [
"<string>"
],
"activatedAt": "1749646207296",
"address": "TKAduQVqNaTLyBzVvRrcctY6FFraowJ3Uc",
"createdBy": "e191u51yxnykins6fahdizxy",
"email": "<string>",
"imageId": "<string>",
"isFavorite": true,
"labels": "Personal,Business",
"lastUsedAt": "1749646207296",
"memo": "<string>",
"networkId": "BTC",
"tag": "$myworkspace",
"updatedAt": "1749646207296",
"updatedBy": "e191u51yxnykins6fahdizxy"
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Create Address Book record
Save a crypto address in an workspace’s address book
API Key permissions: Transaction Operator, Full AccessPath Parameters
Body
Address book entry external ID
Name of the address
Comma-separated account ids, if address set for particular accounts
Address
Bank details (for bank type records)
Show child attributes
Show child attributes
Recipient email notified when assets are sent to this record
Workspace image ID (for tag type records)
Whether the record is in the workspace favorites
Labels attached to the record, shared by all workspace members
"Personal,Business"
Address memo (destination tag for XRP)
Blockchain Network Id of an address
Record type: address, tag, or bank. See details
address, tag, bank Workspace tag (for tag type records)
Response
OK
Created at timestamp
"1749646207296"
Address book entry external ID
"ki50iq4iotxmuv1ihgw9q6u3"
Name of the address
"My address"
Address book record ID
"gx8df95a09h319dbu79rfora"
Record type: address, tag, or bank. See details
address, tag, bank new, active, rejected, deleted Workspace ID
"e191u51yxnykins6fahd"
Comma-separated account ids, if address set for particular accounts
Activation timestamp — when the record was approved
"1749646207296"
Blockchain address string
"TKAduQVqNaTLyBzVvRrcctY6FFraowJ3Uc"
Created by user id
"e191u51yxnykins6fahdizxy"
Recipient email notified when assets are sent to this record
Workspace image ID (for tag type records)
Whether the record is in the workspace favorites
Labels attached to the record, shared by all workspace members
"Personal,Business"
Last used at
"1749646207296"
Address memo (destination tag for XRP)
Currency of an address
"BTC"
Workspace tag (for tag type records)
"$myworkspace"
Last updated Updated at timestamp
"1749646207296"
Updated by user id
"e191u51yxnykins6fahdizxy"
Was this page helpful?
